GAMEHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.game.GAMEHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.game
Class GAMEHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.StAXFeatureHandler
              org.biojava.bio.seq.io.game.GAMEHandler

All Implemented Interfaces:
  StAXContentHandler

    public class GAMEHandler

extends StAXFeatureHandler

Handles the root GAME element

Since:
  1.8
Author:
  David Huen

Field Summary

Fields inherited from class org.biojava.bio.seq.io.game.StAXFeatureHandler
`callbackStack, endLoc, featureListener, featureTemplate, stackLevel, startLoc`

Constructor Summary
`GAMEHandler()`

Method Summary
`void` | `startElementHandler(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`

Methods inherited from class org.biojava.bio.seq.io.game.StAXFeatureHandler
`addHandler, createTemplate, endElement, endElementHandler, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, setFeatureListener, setHandlerCharacteristics, startElement, startElementHandler`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GAMEHandler

    public GAMEHandler()

Method Detail

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs,
                                    DelegationManager dm)
                             throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD